<?php get_header(); ?>
  <?php
    $slide = new WP_Query( array( 'post_type' => 'tz_slide', 'showposts' => get_theme_mod( 'tz_slide_numbers', 5 ) ) );
    if ( $slide->have_posts() ) {
  ?>
    <div class="hero hero-slider">
      <ul class="slides">
        <?php
          while( $slide->have_posts() ) {
            $slide->the_post();
        ?>
          <li data-bg-image="<?php the_post_thumbnail_url( 'full' ); ?>">
            <div class="container">
              <div class="slide-title">
                <?php
                  ob_start();
                  the_content();
                  $content = ob_get_contents();
                  ob_end_clean();
                  $content = str_replace( array( "<p>", "</p>" ), array( '<span>', '</span>' ), $content );
                  $content = str_replace( array( "\n", "\r", "\t" ), "", $content );
                  $content = str_replace( '</span><span>', '</span><br /><span>', $content );
                  echo $content;
                ?>
              </div>
            </div>
          </li>
        <?php } ?>
      </ul> <!-- .slides -->
    </div> <!-- .hero-slider -->
  <?php } wp_reset_query(); ?>

  <?php
    $portfolio = new WP_Query( array( 'post_type' => 'tz_portfolio', 'showposts' => get_theme_mod( 'tz_homepage_portfolio_numbers', 4 ) ) );
    if ( $portfolio->have_posts() ) {
  ?>
    <main class="main-content">
      <div class="fullwidth-block latest-projects-section">
        <div class="container">
          <h2 class="section-title"><?php _e( 'Our latest projects', 'architecture' ); ?></h2>
          <div class="row">
            <?php
              while( $portfolio->have_posts() ) {
                $portfolio->the_post();
                $terms = get_the_terms( get_the_ID(), 'tz_portfolio_type' );
                if ( $terms && ! is_wp_error( $terms ) )
                  foreach( $terms as $k => $term )
                    $types[$k] = $term->name;
            ?>
              <div class="col-sm-6 col-md-3">
                <div class="project">
                  <?php if ( has_post_thumbnail() ) { ?>
                    <figure class="project-thumbnail"><img src="<?php the_post_thumbnail_url( 'full' ); ?>" alt="<?php the_title(); ?>"></figure>
                  <?php } ?>
                  <h3 class="project-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                  <small class="project-subtitle"><?php echo ( isset( $types ) ) ? implode( $types, ', ' ) : ''; ?></small>
                  <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_portfolio_short_desc', true ), '<span><em><strong>' ); ?></p>
                  <a href="<?php the_permalink(); ?>" class="more-link"><img src="<?php echo get_template_directory_uri() . '/assets/images/arrow.png'; ?>" alt=""></a>
                </div>
              </div>
            <?php } ?>
          </div>
        </div>
      </div>
    </main>
  <?php } wp_reset_query(); ?>

  <div class="fullwidth-block image-block" data-bg-image="<?php echo get_theme_mod( 'tz_section_bg' ); ?>"></div>

  <div class="fullwidth-block">
    <div class="container">
      <?php
        $services = new WP_Query( array( 'post_type' => 'tz_service', 'showposts' => get_theme_mod( 'tz_homepage_service_numbers', 3 ) ) );
        if ( $services->have_posts() ) {
      ?>
        <div class="row">
          <?php while( $services->have_posts() ) { $services->the_post(); ?>
            <div class="col-md-4">

              <h3 class="section-title"><?php the_title(); ?></h3>
              <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_service_short_desc', true ), '<span><em><strong>' ); ?></p>
              <a href="<?php the_permalink(); ?>" class="button">Read more</a>

            </div>
          <?php } ?>
        </div>
      <?php } wp_reset_query(); ?>

      <hr class="separator">

      <div class="row">
        <?php
          $testimonials = new WP_Query( array( 'post_type' => 'tz_testimonial', 'showposts' => get_theme_mod( 'tz_homepage_testimonial_numbers', 3 ) ) );
          if ( $testimonials->have_posts() ) {
        ?>
          <div class="col-md-6">
            <h2 class="section-title"><?php _e( 'Testimonials', 'architecture' ); ?></h2>
            <div class="testimonial-slider">
              <ul class="slides">
                <?php while( $testimonials->have_posts() ) { $testimonials->the_post(); ?>
                  <li>
                    <blockquote>
                      <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_testimonial_content', true ), '<span><em><strong>' ); ?></p>
                      <cite><?php echo get_post_meta( get_the_ID(), '_tz_testimonial_name', true ); ?></cite>
                    </blockquote>
                  </li>
                <?php } ?>
              </ul>
            </div>
          </div>
        <?php } wp_reset_query(); ?>

        <?php
          $posts = new WP_Query( array( 'post_type' => 'post', 'showposts' => get_theme_mod( 'tz_homepage_blog_numbers', 3 ) ) );
          if ( $posts->have_posts() ) {
        ?>
          <div class="col-md-6">
            <h2 class="section-title"><?php _e( 'Latest News', 'architecture' ); ?></h2>
            <ul class="news">
              <?php while( $posts->have_posts() ) { $posts->the_post(); ?>
                <li>
                  <div class="date"><?php the_time( 'd.m.Y' ); ?></div>
                  <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php echo ( get_the_excerpt() ) ? substr( get_the_excerpt(), 0, 70 ) . '...' : substr( get_the_content(), 0, 70 ) . '...'; ?></a></h3>
                </li>
              <?php } ?>
            </ul>
          </div>
        <?php } ?>
      </div>
    </div>
  </div>
<?php get_footer(); ?>
