<?php get_header(); ?>
  <?php
    while( have_posts() ) {
      the_post();
      if ( $image_ids = get_post_meta( get_the_ID(), '_tz_image_ids', true ) ) {
        $exp_image_ids = array_values( array_filter( array_map( 'trim', explode( ',', $image_ids ) ) ) );
        foreach( $exp_image_ids as $image_id ) {
          $src[] = wp_get_attachment_image_src( $image_id, 'full' );
          $src2[] = wp_get_attachment_image_src( $image_id, 'tz_portfolio_small' );
        }
      }
  ?>
    <main class="main-content">
      <div class="page-main">
        <div class="container">
          <a href="<?php echo get_page_link( get_theme_mod( 'tz_portfolio_page' ) ); ?>" class="button-back"><img src="<?php echo get_template_directory_uri() . '/assets/images/arrow-back.png'; ?>" alt="" class="icon">Back to the projects</a>

          <div class="row">
            <div class="col-md-5">
              <div class="project-images">
                <?php if ( isset( $src ) ) { ?>
                  <div class="large-thumbs">
                    <?php foreach ( $src as $k1 => $img1 ) { ?>
                      <img <?php echo ( $k1 == 0 ) ? 'class="first" ' : ''; ?>id="portfolio-image-<?php echo $k1; ?>" src="<?php echo $img1[0]; ?>" alt="" />
                    <?php } ?>
                  </div>
                <?php } ?>

                <div class="thumbs">
                  <?php if ( isset( $src2 ) ) { ?>
                    <?php foreach( $src2 as $k2 => $img2 ) { ?>
                      <a href="javascript:;" data-id="portfolio-image-<?php echo $k2; ?>"><img src="<?php echo $img2[0]; ?>" alt="" width="132" height="132" /></a>
                    <?php } ?>
                  <?php } ?>
                </div>
              </div>
            </div>
            <div class="col-md-7">
              <div class="project-detail">
                <h2 class="project-title"><?php the_title(); ?></h2>

                <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_portfolio_short_desc', true ), '<span><em><strong>' ); ?></p>

                <?php the_content(); ?>
              </div>
            </div>
          </div>
        </div>
      </div> <!-- .page -->
    </main>
  <?php } ?>
<?php get_footer(); ?>
