<?php

/**
 * Template Name: About
 */

get_header();

?>
  <?php while( have_posts() ) { the_post(); ?>
    <main class="main-content">
      <div class="page-main">
        <div class="container">
          <h2 class="entry-title"><?php the_title(); ?></h2>

          <?php the_content(); ?>

          <hr class="separator">

          <h2 class="sectiont-title"><?php _e( 'What can we do for you?', 'architecture' ); ?></h2>
          <?php
            $services = new WP_Query( array( 'post_type' => 'tz_service', 'posts_per_page' => -1 ) );
            if ( $services->have_posts() ) {
          ?>
            <div class="row">
              <?php $i = 0; while( $services->have_posts() ) { $services->the_post(); $i++; ?>
                <div class="col-md-3">
                  <div class="feature-numbered">
                    <div class="num"><?php echo $i; ?></div>
                    <h2 class="feature-title"><?php the_title(); ?></h2>
                    <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_service_short_desc', true ), '<span><em><strong>' ); ?></p>
                  </div>
                </div>
              <?php } ?>
            </div>
          <?php } wp_reset_query(); ?>

          <hr class="separator">

          <?php
            $testimonials = new WP_Query( array( 'post_type' => 'tz_testimonial', 'posts_per_page' => -1 ) );
            if ( $testimonials->have_posts() ) {
          ?>
            <h2 class="section-title"><?php _e( 'Testimonials', 'architecture' ); ?></h2>
            <div class="row">
              <div class="col-md-4">
                <?php $i = 0; while( $testimonials->have_posts() ) { $testimonials->the_post(); $i++; ?>
                  <blockquote class="testimonial">
                    <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_testimonial_content', true ), '<span><em><strong>' ); ?></p>
                    <cite><?php echo get_post_meta( get_the_ID(), '_tz_testimonial_name', true ); ?></cite>
                  </blockquote>
                  <?php if ( ( $i % 2 ) == 0 ) { ?>
                    </div>
                    <div class="col-md-4">
                  <?php } ?>
                <?php } ?>
              </div>
            </div>
          <?php } wp_reset_query(); ?>
        </div>
      </div> <!-- .page -->
    </main> <!-- .main-content -->
  <?php } ?>
<?php get_footer(); ?>
