<?php

/**
 * Template Name: Contact
 */

get_header();

?>
  <?php while( have_posts() ) { the_post(); ?>
    <main class="main-content">
      <div class="page-main">
        <div class="container">
          <a href="<?php echo get_page_link( get_theme_mod( 'tz_portfolio_page' ) ); ?>" class="button-back"><img src="<?php echo get_template_directory_uri() . '/assets/images/arrow-back.png'; ?>" alt="" class="icon">Back to the projects</a>

          <div class="row">
            <div class="col-md-8">
              <div class="map"><?php if ( get_theme_mod( 'tz_google_map' ) ) echo htmlspecialchars_decode(get_theme_mod( 'tz_google_map' )); ?></div>

              <?php if ( get_theme_mod( 'tz_company_name' ) && get_theme_mod( 'tz_company_address' ) && get_theme_mod( 'tz_company_phone_number' ) && get_theme_mod( 'tz_contact_email' ) ) { ?>
                <div class="contact-detail">
                  <address>
                    <div class="contact-icon">
                      <img src="<?php echo get_template_directory_uri() . '/assets/images/icon-marker.png'; ?>" class="icon">
                    </div>
                    <p><strong><?php echo get_theme_mod( 'tz_company_name' ); ?></strong> <br><?php echo get_theme_mod( 'tz_company_address' ); ?></p>
                  </address>
                  <a href="#" class="phone"><span class="contact-icon"><img src="<?php echo get_template_directory_uri() . '/assets/images/icon-phone.png'; ?>" class="icon"></span> <?php echo get_theme_mod( 'tz_company_phone_number' ); ?></a>
                  <a href="#" class="email"><span class="contact-icon"><img src="<?php echo get_template_directory_uri() . '/assets/images/icon-envelope.png'; ?>" class="icon"></span> <?php echo get_theme_mod( 'tz_contact_email' ); ?></a>
                </div>
              <?php } ?>
            </div>
            <div class="col-md-3 col-md-offset-1">
              <div class="contact-form">
                <h2 class="section-title"><?php the_title(); ?></h2>
                <p><?php the_content(); ?></p>

                <div id="response"></div>

                <form action="" id="contact-form" method="post">
                  <input type="text" name="full_name" placeholder="<?php _e( 'Your name..', 'architecture' ); ?>">
                  <input type="text" name="email" placeholder="<?php _e( 'Email..', 'architecture' ); ?>">
                  <input type="text" name="website" placeholder="<?php _e( 'Website..', 'architecture' ); ?>">
                  <textarea name="message" placeholder="<?php _e( 'Message...', 'architecture' ); ?>"></textarea>
                  <p class="text-right submit">
                    <input type="submit" value="<?php _e( 'Send message', 'architecture' ); ?>" />
                  </p>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
  <?php } ?>
<?php get_footer(); ?>
